## org.apache.cassandra.utils
Class XMLUtils

    java.lang.Object
      org.apache.cassandra.utils.XMLUtils

    public class XMLUtils

extends java.lang.Object

Constructor Summary
`XMLUtils(java.lang.String xmlSrc)`

Method Summary
`static java.lang.String` `getAttributeValue(org.w3c.dom.Node node, java.lang.String attrName)`
`java.lang.String` `getNodeValue(java.lang.String xql)`
`java.lang.String[]` `getNodeValues(java.lang.String xql)`
`org.w3c.dom.NodeList` `getRequestedNodeList(java.lang.String xql)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtils

    public XMLUtils(java.lang.String xmlSrc)
             throws java.io.FileNotFoundException,
                    javax.xml.parsers.ParserConfigurationException,
                    org.xml.sax.SAXException,
                    java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `javax.xml.parsers.ParserConfigurationException`
  `org.xml.sax.SAXException`
  `java.io.IOException`

Method Detail

### getNodeValue

    public java.lang.String getNodeValue(java.lang.String xql)
                                  throws javax.xml.xpath.XPathExpressionException

  Throws:
    `javax.xml.xpath.XPathExpressionException`

### getNodeValues

    public java.lang.String[] getNodeValues(java.lang.String xql)
                                     throws javax.xml.xpath.XPathExpressionException

  Throws:
    `javax.xml.xpath.XPathExpressionException`

### getRequestedNodeList

    public org.w3c.dom.NodeList getRequestedNodeList(java.lang.String xql)
                                              throws javax.xml.xpath.XPathExpressionException

  Throws:
    `javax.xml.xpath.XPathExpressionException`

### getAttributeValue

    public static java.lang.String getAttributeValue(org.w3c.dom.Node node,
                                                     java.lang.String attrName)
                                              throws javax.xml.transform.TransformerException

  Throws:
    `javax.xml.transform.TransformerException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Copyright © 2010 The Apache Software Foundation